Skip to main content
GET
/
v1
/
ade
/
extract
/
jobs
/
{job_id}
cURL
curl -X GET 'https://api.va.landing.ai/v1/ade/extract/jobs/{job_id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
import requests

headers = {
'Authorization': 'Bearer YOUR_API_KEY'
}

url = f'https://api.va.landing.ai/v1/ade/extract/jobs/{job_id}'

response = requests.get(url, headers=headers)
print(response.json())
const axios = require('axios');

const url = `https://api.va.landing.ai/v1/ade/extract/jobs/{jobId}`;

axios.get(url, {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
})
.then(response => console.log(response.data))
.catch(error => console.error(error));
{
  "job_id": "<string>",
  "status": "<string>",
  "received_at": 123,
  "progress": 0.5,
  "created_at": 0,
  "org_id": "<string>",
  "version": "<string>",
  "data": {
    "extraction": {},
    "extraction_metadata": {},
    "metadata": {
      "filename": "<string>",
      "org_id": "<string>",
      "duration_ms": 123,
      "credit_usage": 123,
      "job_id": "<string>",
      "version": "<string>",
      "schema_violation_error": "<string>",
      "fallback_model_version": "<string>",
      "warnings": [
        {
          "msg": "<string>"
        }
      ]
    }
  },
  "output_url": "<string>",
  "metadata": {
    "filename": "<string>",
    "org_id": "<string>",
    "duration_ms": 123,
    "credit_usage": 123,
    "job_id": "<string>",
    "version": "<string>",
    "schema_violation_error": "<string>",
    "fallback_model_version": "<string>",
    "warnings": [
      {
        "msg": "<string>"
      }
    ]
  },
  "failure_reason": "<string>"
}
{
"job_id": "<string>",
"status": "<string>",
"received_at": 123,
"progress": 0.5,
"created_at": 0,
"org_id": "<string>",
"version": "<string>",
"data": {
"extraction": {},
"extraction_metadata": {},
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"schema_violation_error": "<string>",
"fallback_model_version": "<string>",
"warnings": [
{
"msg": "<string>"
}
]
}
},
"output_url": "<string>",
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"schema_violation_error": "<string>",
"fallback_model_version": "<string>",
"warnings": [
{
"msg": "<string>"
}
]
},
"failure_reason": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Your unique API key for authentication.

Get your API key here: https://va.landing.ai/settings/api-key.

If using the EU endpoint, get your API key here: https://va.eu-west-1.landing.ai/settings/api-key.

Path Parameters

job_id
string
required

Response

Successful Response

The status of an extract job, plus the results once it completes.

job_id
string
required

A unique identifier for this extract job.

status
string
required

The current state of the job: pending, processing, completed, failed, or cancelled.

received_at
integer
required

Unix timestamp (in seconds) for when the job was received.

progress
number
required

Job completion. Either 0.0 (not yet complete) or 1.0 (complete).

Required range: 0 <= x <= 1
created_at
integer
default:0

Unix timestamp (in seconds) for when the job was created.

org_id
string | null

Organization ID.

version
string | null

The exact model snapshot used for the extraction.

data
ExtractResponse · object | null

The extraction results, returned here when the job is complete and you did not set an output_save_url. Large results are returned through output_url instead.

output_url
string | null

A URL to download the extraction results. Provided when the job is complete and either you set an output_save_url or the result is larger than 1 MB. URLs for large results are temporary and expire one hour after you request the job.

metadata
ExtractMetadata · object | null

Information about the extraction, such as the model version, duration, credit usage, and any schema warnings.

failure_reason
string | null

If the job failed, a message describing what went wrong.